<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ship="http://xmlns.jcp.org/jsf/composite/ship" xmlns:p="http://primefaces.org/ui" xmlns:c="http://java.sun.com/jsp/jstl/core">
<h:head></h:head>
<h:body>
	<ui:composition template="/pages/primodaltemplate.xhtml">
		<ui:define name="title">
			<h:outputText value="#{facesContext.translate('label.instruction.report.definition.add.new')}" />
		</ui:define>
		<ui:define name="body">
			<p:panelGrid columns="2" styleClass="width100percent">
				<h:outputText value="#{facesContext.translate('label.report.name')}" />
				<p:inputText id="name" value="#{reportModel.report.name}" required="true" requiredMessage="#{facesContext.translate('error.mustnotbeempty', 'label.report.name')}"
					validator="#{reportModel.validateReportName}" />
				<h:outputText value="#{facesContext.translate('label.report.description')}" />
				<p:inputTextarea id="descr" value="#{reportModel.report.description}" styleClass="inputTextarea"/>
				<h:outputText value="#{facesContext.translate('navigate.analysis')}" />
				<p:selectOneMenu id="parent" value="#{reportModel.report.fkFunctionlist}" filter="true" required="true" requiredMessage="#{facesContext.translate('error.mustnotbeempty', 'label.report.template')}">
					<f:selectItem itemValue="" itemLabel="#{facesContext.translate('button.choose')}" />
					<f:selectItems value="#{reportModel.functionSelections}" var="i" itemLabel="#{i.name}" itemValue="#{i.pk}" />
				</p:selectOneMenu>
				<h:outputText value="#{facesContext.translate('label.analysis.matrix.variablegroup')}" />
				<p:selectOneMenu id="vargroup" value="#{reportModel.report.fkVariablegroupdef}" filter="true" required="true"
					requiredMessage="#{facesContext.translate('error.mustnotbeempty', 'label.analysis.matrix.variablegroup')}">
					<f:selectItem itemValue="" itemLabel="#{facesContext.translate('button.choose')}" />
					<f:selectItems value="#{reportModel.variablegroups}" var="vg" itemValue="#{vg.id}" itemLabel="#{vg.name}" />
					<p:ajax update="@widgetVar(releases)" oncomplete="ship.processed()" onstart="ship.processing(100000)" />
				</p:selectOneMenu>
				<h:outputText value="#{facesContext.translate('label.report.releases')}" />
				<p:dataTable id="releases" widgetVar="releases" value="#{reportModel.report.releases}" var="r">
					<p:column headerText="#{facesContext.translate('label.report.generate.releases')}">
						<h:outputText value="#{r.name}" />
						<f:facet name="footer">
							<p:menuButton id="btn_chooserelease" value="#{facesContext.translate('button.choose')}">
								<c:forEach items="${reportModel.getFilteredReleasesByVariablegroup(facesContext)}" var="s" varStatus="status">
									<p:menuitem id="btn_addreleases_#{status.index}" action="#{reportController.doAddRelease2new(s)}" value="#{s.name}" ajax="false" oncomplete="ship.processed()" onclick="ship.processing(100000)" />
								</c:forEach>
							</p:menuButton>
						</f:facet>
					</p:column>
					<p:column headerText="#{facesContext.translate('label.actions')}">
						<ship:removeButton action="#{reportController.doRemoveRelease2new(r.pk)}" isLink="false" value="" tooltip="#{facesContext.translate('button.remove')}"
							title="#{facesContext.translate('title.delete.approve')}" approveButtonLabel="#{facesContext.translate('button.yes')}" cancelButtonLabel="#{facesContext.translate('button.no')}">
							<h:outputText value="#{facesContext.translate('confirmation.delete', r.name)}" />
						</ship:removeButton>
						<f:facet name="footer">
							<div id="refresh_by_ajax" style="display: none">
								<i class="pi pi-spin pi-spinner" style="font-size: 3em"></i>
							</div>
						</f:facet>
					</p:column>
				</p:dataTable>
				<h:outputText value="#{facesContext.translate('label.report.intervals')}" />
				<p:dataTable id="intervals" value="#{reportModel.report.intervals}" var="i">
					<p:column headerText="#{facesContext.translate('label.report.factory.interval.from')}">
						<h:outputText value="#{i.dateFrom}">
							<f:convertDateTime pattern="dd.MM.yyyy" />
						</h:outputText>
						<f:facet name="footer">
							<p:datePicker id="datefrom" value="#{reportModel.newInterval.dateFrom}" pattern="dd.MM.yyyy" rendered="#{reportController.onlyOneTimePeriod(reportModel.report.intervals)}" />
						</f:facet>
					</p:column>
					<p:column headerText="#{facesContext.translate('label.report.factory.interval.until')}">
						<h:outputText value="#{i.dateUntil}">
							<f:convertDateTime pattern="dd.MM.yyyy" />
						</h:outputText>
						<f:facet name="footer">
							<p:datePicker id="dateuntil" value="#{reportModel.newInterval.dateUntil}" pattern="dd.MM.yyyy" rendered="#{reportController.onlyOneTimePeriod(reportModel.report.intervals)}" />
						</f:facet>
					</p:column>
					<p:column headerText="#{facesContext.translate('label.actions')}">
						<ship:removeButton action="#{reportController.doRemoveInterval2new(i)}" value="" isLink="true" tooltip="#{facesContext.translate('button.delete')}"
							title="#{facesContext.translate('title.delete.approve')}" approveButtonLabel="#{facesContext.translate('button.yes')}" cancelButtonLabel="#{facesContext.translate('button.no')}">
							<h:outputText value="#{facesContext.translate('confirmation.delete', i.string)}" />
						</ship:removeButton>
						<f:facet name="footer">
							<p:commandButton id="btn_addinterval" action="#{reportController.doAddInterval2new}" icon="fa fa-plus" styleClass="iconbutton" value="" title="#{facesContext.translate('button.add')}"
								rendered="#{reportController.onlyOneTimePeriod(reportModel.report.intervals)}" ajax="false" />
						</f:facet>
					</p:column>
				</p:dataTable>
			</p:panelGrid>
		</ui:define>
		<ui:define name="formbuttons">
			<p:commandButton id="btn_approve" action="#{reportController.doAddReport}" value="#{facesContext.translate('button.approve')}" ajax="false" oncomplete="ship.processed()" onclick="ship.processing(100000)" />
			<p:commandButton id="btn_cancel" action="#{reportController.toWelcomeByAbort}" value="#{facesContext.translate('button.cancel')}" immediate="true" ajax="false" />
		</ui:define>
	</ui:composition>
</h:body>
</html>